apoyos/urls.py
from django.urls import path
from .views import ApoyosView, LocalidadView, LocalidadNew, LocalidadEdit, LocalidadDelete, \
    PersonaView, PersonaNew, PersonaEdit, PersonaDelete, personas_por_comunidad, getActivistas, getActivados, \
    EncargadoRutaView, EncargadoRutaNew, EncargadoRutaEdit, EncargadoRutaDelete, comunidades_por_encargado, \
    PuestoView, PuestoNew, PuestoEdit, PuestoDelete, obtenerPersona, obtener_persona_por_nombre, \
    DepartamentoView, DepartamentoNew, DepartamentoEdit, DepartamentoDelete, \
    EmpleadoView, EmpleadoNew, EmpleadoEdit, EmpleadoDelete, empleados_por_departamento, empleados_por_puesto, \
    ApoyosView, ApoyosNew, ApoyosEdit, ApoyosDelete, apoyos_por_persona, agregarApoyos, busqueda_de_personas

urlpatterns = [
    # crud localidades
    path('localidades/', LocalidadView.as_view(), name='localidades_list'),
    path('localidades/new', LocalidadNew.as_view(), name='localidades_new'),
    path('localidades/edit/<int:pk>', LocalidadEdit.as_view(), name='localidades_edit'),
    path('localidades/delete/<int:pk>', LocalidadDelete.as_view(), name='localidades_delete'),
    
    # crud personas
    path('personas/', PersonaView.as_view(), name='personas_list'),
    # path("personas/obtener-personas", obtener_personas, name="obtener_personas"),
    path('personas/new', PersonaNew.as_view(), name='personas_new'),
    path('personas/edit/<int:pk>', PersonaEdit.as_view(), name='personas_edit'),
    path('personas/delete/<int:pk>', PersonaDelete.as_view(), name="personas_delete"),
    
    # búsqueda de personas por curp
    path('personas/busqueda', busqueda_de_personas, name='busqueda'),
    
    # búsqueda de personas por id
    path('personas/buscar-persona/<int:id>', obtenerPersona, name='buscar_persona'),
    
    # búsqueda de personas por nombre
    path('personas/busqueda-por-nombre', obtener_persona_por_nombre, name='busqueda_por_nombre'),
    
    # búsqueda de persona por CURP
    # path('personas/buscar/<str:curp>', busqueda_de_persona_por_curp, name='buscar_persona'),
    
    # ver activistas
    path('personas/activistas', getActivistas, name='activistas_list'),
    # ver activados
    path('personas/activados', getActivados, name='activados_list'),
    
    # personas de cada comunidad
    path('personas/personas-por-comunidad/<int:id>', personas_por_comunidad, name='personas_por_comunidad'),
    
    # crud de encargados de ruta
    path('encargados-ruta/', EncargadoRutaView.as_view(), name='encargados_list'),
    path('encargados-ruta/new', EncargadoRutaNew.as_view(), name='encargados_new'),
    path('encargados-ruta/edit/<int:pk>', EncargadoRutaEdit.as_view(), name='encargados_edit'),
    path('encargados-ruta/delete/<int:pk>', EncargadoRutaDelete.as_view(), name="encargados_delete"),
    
    # comunidadaes que dirige cada encargado de ruta
    path('encargados-ruta/comunidades-er/<int:id>', comunidades_por_encargado, name='comunidades-er'),    
    
    # crud de puestos
    path('puestos/', PuestoView.as_view(), name='puestos_list'),
    path('puestos/new', PuestoNew.as_view(), name='puestos_new'),
    path('puestos/edit/<int:pk>', PuestoEdit.as_view(), name='puestos_edit'),
    path('puestos/delete/<int:pk>', PuestoDelete.as_view(), name='puestos_delete'),
    
    # crud de departamentos
    path('departamentos/', DepartamentoView.as_view(), name='departamentos_list'),
    path('departamentos/new', DepartamentoNew.as_view(), name='departamentos_new'),
    path('departamentos/edit/<int:pk>', DepartamentoEdit.as_view(), name='departamentos_edit'),
    path('departamentos/delete/<int:pk>', DepartamentoDelete.as_view(), name='departamentos_delete'),
    
    # crud de empleados
    path('empleados/', EmpleadoView.as_view(), name='empleados_list'),
    path('empleados/new', EmpleadoNew.as_view(), name='empleados_new'),
    path('empleados/edit/<int:pk>', EmpleadoEdit.as_view(), name='empleados_edit'),
    path('empleados/delete/<int:pk>', EmpleadoDelete.as_view(), name='empleados_delete'),
    
    # empleados de cada departamento
    path('empleados/empleados-por-departamento/<int:id>', empleados_por_departamento, name='empleados_por_departamento'),
    # empleados de cada puesto
    path('empleados/empleados-por-puesto/<int:id>', empleados_por_puesto, name='empleados_por_puesto'),
    
    # crud de apoyos
    path('apoyos/', ApoyosView.as_view(), name='apoyos_list'),
    path('apoyos/new', ApoyosNew.as_view(), name='apoyos_new'),
    path('apoyos/edit/<int:pk>', ApoyosEdit.as_view(), name='apoyos_edit'),
    path('apoyos/delete/<int:pk>', ApoyosDelete.as_view(), name='apoyos_delete'),
    
    # agregar apoyo
    path('apoyos/agregar-apoyo/<int:id>', agregarApoyos, name='agregar_apoyos'),
    
    # apoyos que ha recibido cada persona
    path('apoyos/apoyos-recibidos/<int:id>', apoyos_por_persona, name='apoyos-recibidos'),  
]

bases/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views

from bases.views import *

urlpatterns = [
    path('', Home.as_view(), name='home'),
    path('login/', auth_views.LoginView.as_view(template_name='bases/login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(template_name='bases/login.html'), name='logout'),
    path('sin_privilegios/', HomeSinPrivilegios.as_view(), name="sin_privilegios"),
    path('bases/obtener-estadisticas/', getEstadisticas, name="obtener-estadisticas"),
        
    path('personas/menu', menu_de_personas, name='menu-personas'),
    # búsquede de persona por su curp
    path('personas/busqueda-por-curp', get_personas_por_curp, name='personas-curp'),
    
    # búsqueda de persona por nombre
    path('personas/busqueda-por-nombre', get_personas_por_nombre, name='bus_personas_por_nombre'),
    
    # filtramos las personas por departamento
    path('personas/personas-por-localidad', get_personas_por_localidad, name='personas_por_localidad'),
    
    # menu apoyos
    path('apoyos/menu', MenuApoyos.as_view(), name='menu_de_apoyos'),
    # filtrado de apoyos por departamento
    path('apoyos/apoyos-por-departamento', get_apoyos_por_departamento, name='apoyos_por_departamento'),
    # filtrado de apoyos por fecha
    path('apoyos/apoyos-por-fecha', get_apoyos_por_fecha, name="apoyos_por_fecha"),  
    # filtrado por localidad
    path('apoyos/apoyos-por-localidad', get_apoyos_por_localidad, name="apoyos_por_localidad"),  
]

gestion_apoyos/urls.py
from argparse import Namespace
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', include(('bases.urls', 'bases'), namespace='bases')),
    path('apoyos/', include(('apoyos.urls', 'apoyos'), namespace='apoyos')),
    path('catastro/', include(('catastro.urls', 'catastro'), namespace='catastro')),
    path('admin/', admin.site.urls),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

bases/models.py
from django.db import models

# Create your models here.

    

apoyos/forms.py
from django.contrib.admin.widgets import AutocompleteSelect
from django.contrib import admin
from django import forms
from django.core.exceptions import ValidationError
from .models import Apoyos, Departamento, Localidad, Persona, EncargadoRuta, Puesto, Empleado

class LocalidadesForm(forms.ModelForm):
    """ form para Localidades"""
    # validaciones en el servidor
    nombre = forms.CharField(required=True)
    
    class Meta:
        model = Localidad
        #fields = '__all__'

        # campos que muestra el formulario
        fields = ("nombre", "seccion", "tipo")
        labels = {"nombre": "Nombre", "seccion": "Sección", "tipo": "Tipo"}
        exclude = ['numero_habitantes']
        widget = {'nombre': forms.TextInput}

    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
            
class PersonasForm(forms.ModelForm):
    """ form para personas"""
    # validaciones en el servidor    
    nombres = forms.CharField(required=True)
    ap_paterno = forms.CharField(required=True)
    
    class Meta:
        model = Persona
        # campos que muestra el formulario
        fields = ("curp", "nombres", "ap_paterno", "ap_materno", "tipo", "genero", \
        "fecha_de_nacimiento","domicilio", "estado", "telefono", "localidad", "ine", "notas")
        labels = {
            'curp': 'CURP', 'nombres': 'Nombres', 'ap_paterno': 'Apellido Paterno', \
            'ap_materno': 'Apellido Materno', 'genero': 'Género', 'fecha_de_nacimiento':'Fecha de Nacimiento', 'ine': 'INE'
        }
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
            
        # al select y/o combo box de localidades le agregamos un valor por defecto
        self.fields['localidad'].empty_label = 'Seleccione localidad..'  
        
    # validamos las curp duplicadas
    # def clean(self):
    #     try:
    #         sc = Persona.objects.get(
    #             curp=self.cleaned_data['curp'].upper()
    #         )
            
    #         if not self.instance.pk:
    #             raise forms.ValidationError("Ya existe una persona con esta CURP..")
    #         elif self.instance.pk != sc.pk:
    #             raise forms.ValidationError("Cambio no permitido, coincide con otro registro..")
            
    #     except Persona.DoesNotExist:
    #         pass
    #     return self.cleaned_data          
            
class EncargadosRutaForm(forms.ModelForm):
    """ form para encargados de ruta"""
    class Meta:
        model = EncargadoRuta
        # campos que muestra el formulario
        fields = ("nombres", "ap_paterno", "ap_materno", "foto", "sexo", "telefono", \
        "domicilio", "email", "departamento")
        labels = {
            'ap_paterno': 'Apellido Paterno', 'ap_materno': 'Apellido Materno',
            'sexo': 'Género', 'email': 'Correo Electrónico', 'telefono': 'Teléfono'
        }
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
            
        # al select y/o combo box de departamento le agregamos un valor por defecto
        self.fields['departamento'].empty_label = 'Seleccione departamento..'
        
class PuestosForm(forms.ModelForm):
    """ form para puestos"""
    # validaciones en el servidor
    nombre = forms.CharField(required=True)
    class Meta:
        model = Puesto
        # campos que muestra el form
        fields = ("__all__")
        labels = {
            'nombre': 'Nombre'
        }
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
    
    def clean(self):
        try:
            sc = Puesto.objects.get(
                nombre=self.cleaned_data['nombre'].upper()
            )
            
            if not self.instance.pk:
                raise forms.ValidationError("Ya existe un puesto de trabajo con este nombre..")
            elif self.instance.pk != sc.pk:
                raise forms.ValidationError("Cambio no permitido, coincide con otro registro..")
        
        except Puesto.DoesNotExist:
            pass
        return self.cleaned_data
                    
class DepartamentoForm(forms.ModelForm):
    """ form para departamentos"""
    # validaciones en el servidor
    nombre = forms.CharField(required=True)
    titular = forms.CharField(required=True)
    
    class Meta:
        """Meta definition for DepartamentoForm"""
        model = Departamento        
        # campos que muestra el form
        fields = ('nombre', 'titular', 'telefono', 'email', 'numero_de_empleados')
        labels = {
            'nombre': 'Nombre',
            'titular': 'Titular',
            'telefono': 'Teléfono',
            'email': 'Correo Electrónico',
            'numero_de_empleados': 'Número de empleados'
        }
    
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
            
    # def clean(self):
    #     try:
    #         sc = Departamento.objects.get(
    #             nombre=self.cleaned_data['nombre'].upper()                
    #         )
    #         if not self.instance.pk:
    #             raise forms.ValidationError("Ya existe un departamento con este nombre..")
    #         elif self.instance.pk != sc.pk:
    #             raise forms.ValidationError("Cambio no permitido, coincide con otro registro..")
                
    #     except Departamento.DoesNotExist:
    #         pass
    #     return self.changed_data
            
class EmpleadosForm(forms.ModelForm):
    """ form para empleados"""
    # validaciones en el servidor
    nombre = forms.CharField(required=True)
    ap_paterno = forms.CharField(required=True)
 
    class Meta:
        """Meta definition for Empleadosform"""

        model = Empleado
        # campos que muestra el form
        fields = ('nombre', 'ap_paterno', 'ap_materno', 'tipo_de_empleado', 'domicilio', 'telefono',
        'genero', 'status', 'departamento', 'puesto', 'sueldo')
        labels = {
            'nombre': 'Nombre', 'ap_paterno': 'Apellido Paterno', 'tipo_de_empleado': 'Tipo', 'ap_materno': 'Apellido Materno',
            'domicilio': 'Domicilio', 'telefono':'Teléfono', 'genero': 'Genéro', 'status': 'Estatus',
            'departamento': 'Departamento', 'puesto': 'Puesto', 'sueldo': 'Sueldo'
        }
                
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
                                
        # al select y/o combo box de departamento y puesto le agregamos un valor por defecto
        self.fields['departamento'].empty_label = 'Seleccione un departamento..'
        self.fields['puesto'].empty_label = 'Seleccione un puesto..'
        
       

class ApoyosForm(forms.ModelForm):
    """form para apoyos"""

    class Meta:
        """Meta definition for ApoyosForm"""

        model = Apoyos
        fields = ('tipo', 'descripcion', 'fecha_de_entrega', 'foto_de_comprobacion', \
        'notas_adicionales', 'persona', 'localidad', 'encargado_de_ruta', 'departamento')
        labels = {
            'tipo': 'Tipo',
            'descripcion': 'Descripción',
            'fecha_de_entrega': 'Fecha de entrega',
            'foto_de_comprobacion': 'Imagen de comprobación',
            'notas_adicionales': 'Notas adicionales',
            'persona': 'Persona',
            'localidad': 'Localidad',
            'encargado_de_ruta': 'Encargado de ruta',
            'departamento': 'Departamento'
        }
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
            
        self.fields['fecha_de_entrega'].widget.attrs['readonly'] = True  
            
        # al select y/o combo box de persona y puesto le agregamos un valor por defecto
        self.fields['persona'].empty_label = 'Seleccione la persona..'
        self.fields['localidad'].empty_label = '------'
        self.fields['encargado_de_ruta'].empty_label = 'Seleccione el encargado de ruta..'
        self.fields['departamento'].empty_label = '------'
        

bases/templates/bases/busqueda-nombre.html
{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
<div class="card shadow mb-4">
    <div class="row py-5">
        <div class="col-6">
            <form class="form-inline" action="#">
                {% csrf_token %}
                <div class="col-xl-12 col-md-12 mb-12">

                    {% if obj %}
                    <div class="card border-left-warning shadow h-100 py-2">
                        {% else %}
                        <div class="card border-left-success shadow h-100 py-2">
                            {% endif %}

                            <div class="card-body" style="height: 420px;">
                                <div class="row no-gutters align-items-center">
                                    <div class="col mr-2 p-3">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            {% if obj %} Buscar {% endif %} Persona
                                        </div>
                                        <div class="dropdown-divider"></div>
                                        
                                        <!-- primer fila -->                                        

                                        <div class="row mt-3">
                                            <div class="col-12 text-uppercase font-weight-bold">
                                                NOMBRE:
                                                <div class="input-group mt-2">
                                                    <input type="text" id="id_nombre" name="nombre" class="form-control" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mt-3">
                                            <div class="col-12 text-uppercase font-weight-bold">
                                                APELLIDO PATERNO:
                                                <div class="input-group mt-2">
                                                    <input type="text" id="id_apellido_paterno" name="apellido_paterno" class="form-control" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mt-3">
                                            <div class="col-12 text-uppercase font-weight-bold">
                                                APELLIDO MATERNO:
                                                <div class="input-group mt-2">
                                                    <input type="text" id="id_apellido_materno" name="apellido_materno" class="form-control" required>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="dropdown-divider"></div>
                                        <div class="row mt-3">
                                            <div class="col-2"></div>

                                            <div class="col-4">
                                                <button type="submit" class="btn btn-danger btn-block">
                                                    <span class="fa fa-search"></span> Buscar
                                                </button>
                                            </div>

                                            <div class="col-4">
                                                <a href="{% url 'bases:menu-personas' %}"
                                                    class="btn btn-info btn-block"><i class="fas fa-window-close"></i><span> Cancelar</span>
                                                </a>
                                            </div>

                                            <div class="col-2"></div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            </form>
        </div>

        <div class="col-6">            
            <div class="card" style="width: 28rem; height: 438px;">
                <img src="{% static 'base/img/man.png' %}" class="p-4" height="380px">
                <div class="card-body">
                    <h5 class="card-title text-md-center">Búsqueda de Personas - Pinos,
                        Zacatecas</h5>
                </div>
            </div>
        </div>
    </div>


    <!-- # datatable personas -->
    <!-- Card Body -->
    <div class="card-body">
       
        {% if obj %}
            <!-- listado con datatables -->
            <!-- table -->
            <table class="table table-bordered table-striped">
                <thead class="table-info" style="font-size: small;">
                    <th>CURP</th>
                    <th>NOMBRES</th>
                    <th>APELLIDO PATERNO</th>
                    <th>LOCALIDAD</th>
                    <!-- <th>SECCIÓN</th> -->
                    <th>ACCIONES</th>                    
                </thead>

                <tbody style="font-size: small;">
                                                                     
                    <tr>
                            
                        {% if obj.curp %}
                            <td>{{ obj.curp }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                        
                        {% if obj.nombres %}
                            <td>{{ obj.nombres }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                                    
                        {% if obj.ap_paterno %}
                            <td>{{ obj.ap_paterno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                            
                        {% if obj.localidad %}
                            <td>{{ obj.localidad }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        <!-- {% if obj.localidad.seccion %}
                            <td>{{ obj.localidad.seccion }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->

                        <td>
                            <a href="{% url 'apoyos:personas_edit' obj.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                            <a href="{% url 'apoyos:personas_delete' obj.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>

                            <a href="{% url 'apoyos:apoyos-recibidos' obj.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-list"></i>
                                </span>
                                <span class="text font-weight-bold">Ver apoyos</span>
                            </a>

                            <a href="{% url 'apoyos:agregar_apoyos' obj.id %}" class="btn btn-info btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-box-open"></i>
                                </span>
                                <span class="text font-weight-bold">Dar apoyo</span>
                            </a>
                        
                        </td>
                    </tr>   
                                       
                </tr>
                                                
                </tbody>

            </table>
            <!-- ./table -->
        
        {% elif not obj %}
            <div class="alert alert-info">No hay personas registradas con este nombre..</div> 
        {% endif %}                
        
    </div>
    <!-- # ./datatable personas -->
</div>

{% endblock page_content %}

bases/templates/bases/menu-apoyos.html
{% extends 'base/base.html' %}

{% load static %}

<!-- sobreescribimos el bloque de contenido principal -->
{% block page_content %}
    <div class="container-fluid">
        <div class="jumbotron">
            <h1 class="display-4" style="font-size: 35px;">Opciones de Filtrado de Apoyos!</h1>
            <p class="lead">A continuacion se muestran los enlaces para aplicar los filtros necesarios
                para identificar los apoyos entregados y/o aprobados.
            </p>
            <hr class="my-4">
                           
            <div class="row">
                <div class="col-12 d-flex justify-content-center">
                    <!-- card 1 -->
                    <div class="card w-75 mr-3">
                        <div class="card-body">
                        <h5 class="card-title bg-gray-400 p-3 text-black-50"><i class="fa fa-arrow-right"></i> Filtrado de apoyos</h5>
                        <div class="row bg-light">
                            <div class="col-4 p-2 my-3">
                                <a href="{% url 'bases:apoyos_por_departamento' %}">
                                </i><button class="btn btn-primary form-control"><i class="fa fa-check-circle"></i> Por departamento</button>
                                </a>                           
                            </div>    
                            
                            <div class="col-4 p-2 my-3">
                                <a href="{% url 'bases:apoyos_por_fecha' %}">
                                </i><button class="btn btn-primary form-control"><i class="fa fa-check-circle"></i> Por fecha de entrega</button>
                                </a>                           
                            </div>    

                            <div class="col-4 p-2 my-3">
                                <a href="{% url 'bases:apoyos_por_localidad' %}">
                                </i><button class="btn btn-primary form-control"><i class="fa fa-check-circle"></i> Por localidad</button>
                                </a>                           
                            </div>    
                        </div>                                             
                    </div> 
                    <!-- ./card 1 -->    
                </div>

                
            </div>

        </div>    
    </div>
{% endblock page_content %}

bases/templates/bases/menu_personas.html
{% extends 'base/base.html' %}

{% load static %}

<!-- sobreescribimos el bloque de contenido principal -->
{% block page_content %}
    <div class="container-fluid">
        <div class="jumbotron">
            <h1 class="display-4" style="font-size: 35px;">Opciones de Búsqueda y/o Filtrado de Personas!</h1>
            <p class="lead">A continuacion se muestran los enlaces para aplicar las búsquedas y filtros necesarios
                para identificar a las personas que han recibido apoyos.
            </p>
            <hr class="my-4">

            <div class="d-flex justify-content-center">
                <!-- card 1 -->
                <div class="card w-50 mr-3">
                    <div class="card-body">
                    <h5 class="card-title bg-gray-400 p-3 text-black-50"><i class="fa fa-arrow-right"></i> Búsqueda de personas</h5>
                    <div class="row bg-light">
                        <div class="col p-2 ml-2 my-3">
                            <a href="{% url 'bases:personas-curp' %}">
                               </i><button class="btn btn-primary form-control"><i class="fa fa-check-circle"></i> Por CURP</button>
                            </a>                           
                        </div>

                        <div class="col p-2 ml-2 my-3">
                            <a href="{% url 'bases:bus_personas_por_nombre' %}">
                                </i><button class="btn btn-primary form-control"><i class="fa fa-check-circle"></i> Por nombre completo</button>
                            </a>                           
                        </div>                        
                    </div>                                             
                </div> 
                
                                
            </div>
            <!-- ./card 1 -->    
            
            <!-- card 2 -->
            <div class="card w-50 mr-3">
                <div class="card-body">
                <h5 class="card-title bg-gray-400 p-3 text-black-50"><i class="fa fa-arrow-right"></i> Filtrado de personas</h5>
                <div class="row bg-light">
                    <div class="col p-2 ml-5 mr-5 my-3">
                        <a href="{% url 'bases:personas_por_localidad' %}">
                           </i><button class="btn btn-primary form-control"><i class="fa fa-check-circle"></i> Por localidad</button>
                        </a>                           
                    </div>                                      
                </div>                                             
            </div> 
            <!-- ./card 2 -->    
        </div>    
    </div>
{% endblock page_content %}